ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/OpenMD/branches/development/configure
(Generate patch)

Comparing trunk/configure (file contents):
Revision 868 by gezelter, Mon Jan 16 15:26:55 2006 UTC vs.
Revision 957 by gezelter, Tue May 16 20:38:23 2006 UTC

# Line 312 | Line 312 | ac_includes_default="\
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES FFTW_INC_DIR FFTW_LIB_DIR FFTW_LIBS LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 884 | Line 884 | Optional Packages:
884    --with-zlib=DIR root directory path of zlib installation defaults to
885                      /usr/local or /usr if not found in /usr/local
886    --without-zlib to disable zlib usage completely
887 +  --with-fftw=DIR         root directory path of fftw installation (defaults
888 +                          to /usr/local or /usr if not found in /usr/local)
889    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
890    --with-cgal-makefile=FILE  CGAL makefile that should be used
891  
# Line 1377 | Line 1379 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1379  
1380  
1381            ac_config_headers="$ac_config_headers src/config.h"
1382 +
1383 +
1384  
1385  
1386  
# Line 1424 | Line 1428 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1428   #
1429  
1430  
1431 +
1432 +
1433 +
1434   # AC_F90_MODULE_NAMES
1435   # -------------------
1436   #
1437   # Figure out how the Fortran 90 compiler constructs module file names
1438   #
1439   # AC_F90_MODULE_NAMES
1440 +
1441 +
1442 +
1443 +
1444 +
1445 +
1446 +
1447 +
1448 +
1449 +
1450 +
1451 +
1452 +
1453 +
1454 +
1455 +
1456 +
1457 +
1458 +
1459 +
1460 +
1461 +
1462 +
1463 +
1464 +
1465 +
1466 +
1467 +
1468 +
1469 +
1470 +
1471 +
1472 +
1473 +
1474 +
1475 +
1476 +
1477 +
1478 +
1479 +
1480 +
1481 +
1482 +
1483 +
1484 +
1485 +
1486 +
1487  
1488  
1489  
# Line 1466 | Line 1520 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1520  
1521  
1522  
1523 +
1524 +
1525 +
1526 +
1527 +
1528   # who am i
1529   # Make sure we can run config.sub.
1530   $ac_config_sub sun4 >/dev/null 2>&1 ||
# Line 2726 | Line 2785 | fi
2785  
2786  
2787   # Provide some information about the compiler.
2788 < echo "$as_me:2729:" \
2788 > echo "$as_me:2788:" \
2789       "checking for Fortran compiler version" >&5
2790   ac_compiler=`set X $ac_compile; echo $2`
2791   { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 3478 | Line 3537 | if test "$AR" = "NONE"; then
3537   fi
3538  
3539   if test "$AR" = "NONE"; then
3481  { { echo "$as_me:$LINENO: error: --> Can't find \`ar'!" >&5
3482 echo "$as_me: error: --> Can't find \`ar'!" >&2;}
3483   { (exit 1); exit 1; }; }
3540    cat >confcache <<\_ACEOF
3541   # This file is a shell script that caches the results of configure
3542   # tests run on this system so they can be shared between configure
# Line 3977 | Line 4033 | FCFLAGS="$FCFLAGS $ac_verb"
4033   # flags.
4034   ac_save_FFLAGS=$FCFLAGS
4035   FCFLAGS="$FCFLAGS $ac_verb"
4036 < (eval echo $as_me:3980: \"$ac_link\") >&5
4036 > (eval echo $as_me:4036: \"$ac_link\") >&5
4037   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4038   echo "$ac_fc_v_output" >&5
4039   FCFLAGS=$ac_save_FFLAGS
# Line 4055 | Line 4111 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4111   # flags.
4112   ac_save_FFLAGS=$FCFLAGS
4113   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4114 < (eval echo $as_me:4058: \"$ac_link\") >&5
4114 > (eval echo $as_me:4114: \"$ac_link\") >&5
4115   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4116   echo "$ac_fc_v_output" >&5
4117   FCFLAGS=$ac_save_FFLAGS
# Line 4791 | Line 4847 | FCFLAGS="$FCFLAGS $ac_verb"
4847   # flags.
4848   ac_save_FFLAGS=$FCFLAGS
4849   FCFLAGS="$FCFLAGS $ac_verb"
4850 < (eval echo $as_me:4794: \"$ac_link\") >&5
4850 > (eval echo $as_me:4850: \"$ac_link\") >&5
4851   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4852   echo "$ac_fc_v_output" >&5
4853   FCFLAGS=$ac_save_FFLAGS
# Line 4869 | Line 4925 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4925   # flags.
4926   ac_save_FFLAGS=$FCFLAGS
4927   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4928 < (eval echo $as_me:4872: \"$ac_link\") >&5
4928 > (eval echo $as_me:4928: \"$ac_link\") >&5
4929   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4930   echo "$ac_fc_v_output" >&5
4931   FCFLAGS=$ac_save_FFLAGS
# Line 6123 | Line 6179 | echo "$as_me: error: either specify a valid zlib insta
6179                  { { echo "$as_me:$LINENO: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&5
6180   echo "$as_me: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&2;}
6181     { (exit 1); exit 1; }; }
6182 +        fi
6183 + fi
6184 +
6185 +
6186 + #
6187 + # Handle user hints
6188 + #
6189 +
6190 + # Check whether --with-fftw or --without-fftw was given.
6191 + if test "${with_fftw+set}" = set; then
6192 +  withval="$with_fftw"
6193 +  fftw_dir="$withval"
6194 + else
6195 +                fftw_dir="not_set"
6196 + fi;
6197 + if test "$fftw_dir" != "no"; then
6198 +
6199 + if test "$fftw_dir" != "not_set" ; then
6200 +  if test -d "$fftw_dir"
6201 +  then
6202 +    FFTW_HOME="$fftw_dir"
6203 +  else
6204 +    { echo "$as_me:$LINENO: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&5
6205 + echo "$as_me: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&2;}
6206 +  fi
6207 + fi
6208 +
6209 + FFTW_HOME=/usr/local
6210 + if test ! -f "${FFTW_HOME}/include/fftw3.h" -o -f "${FFTW_HOME}/include/fftw.h" -o  -f "${FFTW_HOME}/include/dfftw.h"
6211 + then
6212 +        FFTW_HOME=/usr
6213 + fi
6214 +
6215 + #
6216 + # Locate fftw, if wanted
6217 + #
6218 + if test -n "${FFTW_HOME}"
6219 + then
6220 +        FFTW_OLD_LDFLAGS=$LDFLAGS
6221 +        FFTW_OLD_CPPFLAGS=$LDFLAGS
6222 +        LDFLAGS="$LDFLAGS -L${FFTW_HOME}/lib"
6223 +        CPPFLAGS="$CPPFLAGS -I${FFTW_HOME}/include"
6224 +
6225 +
6226 +        ac_ext=c
6227 + ac_cpp='$CPP $CPPFLAGS'
6228 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6229 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6230 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
6231 +
6232 +        echo "$as_me:$LINENO: checking for fftw_execute in -lfftw3" >&5
6233 + echo $ECHO_N "checking for fftw_execute in -lfftw3... $ECHO_C" >&6
6234 + if test "${ac_cv_lib_fftw3_fftw_execute+set}" = set; then
6235 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6236 + else
6237 +  ac_check_lib_save_LIBS=$LIBS
6238 + LIBS="-lfftw3  $LIBS"
6239 + cat >conftest.$ac_ext <<_ACEOF
6240 + /* confdefs.h.  */
6241 + _ACEOF
6242 + cat confdefs.h >>conftest.$ac_ext
6243 + cat >>conftest.$ac_ext <<_ACEOF
6244 + /* end confdefs.h.  */
6245 +
6246 + /* Override any gcc2 internal prototype to avoid an error.  */
6247 + #ifdef __cplusplus
6248 + extern "C"
6249 + #endif
6250 + /* We use char because int might match the return type of a gcc2
6251 +   builtin and then its argument prototype would still apply.  */
6252 + char fftw_execute ();
6253 + #ifdef FC_DUMMY_MAIN
6254 + #ifndef FC_DUMMY_MAIN_EQ_F77
6255 + #  ifdef __cplusplus
6256 +     extern "C"
6257 + #  endif
6258 +   int FC_DUMMY_MAIN() { return 1; }
6259 + #endif
6260 + #endif
6261 + int
6262 + main ()
6263 + {
6264 + fftw_execute ();
6265 +  ;
6266 +  return 0;
6267 + }
6268 + _ACEOF
6269 + rm -f conftest.$ac_objext conftest$ac_exeext
6270 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6271 +  (eval $ac_link) 2>conftest.er1
6272 +  ac_status=$?
6273 +  grep -v '^ *+' conftest.er1 >conftest.err
6274 +  rm -f conftest.er1
6275 +  cat conftest.err >&5
6276 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6277 +  (exit $ac_status); } &&
6278 +         { ac_try='test -z "$ac_c_werror_flag"
6279 +                         || test ! -s conftest.err'
6280 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6281 +  (eval $ac_try) 2>&5
6282 +  ac_status=$?
6283 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6284 +  (exit $ac_status); }; } &&
6285 +         { ac_try='test -s conftest$ac_exeext'
6286 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6287 +  (eval $ac_try) 2>&5
6288 +  ac_status=$?
6289 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6290 +  (exit $ac_status); }; }; then
6291 +  ac_cv_lib_fftw3_fftw_execute=yes
6292 + else
6293 +  echo "$as_me: failed program was:" >&5
6294 + sed 's/^/| /' conftest.$ac_ext >&5
6295 +
6296 + ac_cv_lib_fftw3_fftw_execute=no
6297 + fi
6298 + rm -f conftest.err conftest.$ac_objext \
6299 +      conftest$ac_exeext conftest.$ac_ext
6300 + LIBS=$ac_check_lib_save_LIBS
6301 + fi
6302 + echo "$as_me:$LINENO: result: $ac_cv_lib_fftw3_fftw_execute" >&5
6303 + echo "${ECHO_T}$ac_cv_lib_fftw3_fftw_execute" >&6
6304 + if test $ac_cv_lib_fftw3_fftw_execute = yes; then
6305 +  fftw_cv_libfftw3=yes
6306 + else
6307 +  fftw_cv_libfftw3=no
6308 + fi
6309 +
6310 +        if test "${ac_cv_header_fftw3_h+set}" = set; then
6311 +  echo "$as_me:$LINENO: checking for fftw3.h" >&5
6312 + echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6
6313 + if test "${ac_cv_header_fftw3_h+set}" = set; then
6314 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6315 + fi
6316 + echo "$as_me:$LINENO: result: $ac_cv_header_fftw3_h" >&5
6317 + echo "${ECHO_T}$ac_cv_header_fftw3_h" >&6
6318 + else
6319 +  # Is the header compilable?
6320 + echo "$as_me:$LINENO: checking fftw3.h usability" >&5
6321 + echo $ECHO_N "checking fftw3.h usability... $ECHO_C" >&6
6322 + cat >conftest.$ac_ext <<_ACEOF
6323 + /* confdefs.h.  */
6324 + _ACEOF
6325 + cat confdefs.h >>conftest.$ac_ext
6326 + cat >>conftest.$ac_ext <<_ACEOF
6327 + /* end confdefs.h.  */
6328 + $ac_includes_default
6329 + #include <fftw3.h>
6330 + _ACEOF
6331 + rm -f conftest.$ac_objext
6332 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6333 +  (eval $ac_compile) 2>conftest.er1
6334 +  ac_status=$?
6335 +  grep -v '^ *+' conftest.er1 >conftest.err
6336 +  rm -f conftest.er1
6337 +  cat conftest.err >&5
6338 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6339 +  (exit $ac_status); } &&
6340 +         { ac_try='test -z "$ac_c_werror_flag"
6341 +                         || test ! -s conftest.err'
6342 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6343 +  (eval $ac_try) 2>&5
6344 +  ac_status=$?
6345 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6346 +  (exit $ac_status); }; } &&
6347 +         { ac_try='test -s conftest.$ac_objext'
6348 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6349 +  (eval $ac_try) 2>&5
6350 +  ac_status=$?
6351 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6352 +  (exit $ac_status); }; }; then
6353 +  ac_header_compiler=yes
6354 + else
6355 +  echo "$as_me: failed program was:" >&5
6356 + sed 's/^/| /' conftest.$ac_ext >&5
6357 +
6358 + ac_header_compiler=no
6359 + fi
6360 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6361 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6362 + echo "${ECHO_T}$ac_header_compiler" >&6
6363 +
6364 + # Is the header present?
6365 + echo "$as_me:$LINENO: checking fftw3.h presence" >&5
6366 + echo $ECHO_N "checking fftw3.h presence... $ECHO_C" >&6
6367 + cat >conftest.$ac_ext <<_ACEOF
6368 + /* confdefs.h.  */
6369 + _ACEOF
6370 + cat confdefs.h >>conftest.$ac_ext
6371 + cat >>conftest.$ac_ext <<_ACEOF
6372 + /* end confdefs.h.  */
6373 + #include <fftw3.h>
6374 + _ACEOF
6375 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6376 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6377 +  ac_status=$?
6378 +  grep -v '^ *+' conftest.er1 >conftest.err
6379 +  rm -f conftest.er1
6380 +  cat conftest.err >&5
6381 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6382 +  (exit $ac_status); } >/dev/null; then
6383 +  if test -s conftest.err; then
6384 +    ac_cpp_err=$ac_c_preproc_warn_flag
6385 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6386 +  else
6387 +    ac_cpp_err=
6388 +  fi
6389 + else
6390 +  ac_cpp_err=yes
6391 + fi
6392 + if test -z "$ac_cpp_err"; then
6393 +  ac_header_preproc=yes
6394 + else
6395 +  echo "$as_me: failed program was:" >&5
6396 + sed 's/^/| /' conftest.$ac_ext >&5
6397 +
6398 +  ac_header_preproc=no
6399 + fi
6400 + rm -f conftest.err conftest.$ac_ext
6401 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6402 + echo "${ECHO_T}$ac_header_preproc" >&6
6403 +
6404 + # So?  What about this header?
6405 + case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6406 +  yes:no: )
6407 +    { echo "$as_me:$LINENO: WARNING: fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&5
6408 + echo "$as_me: WARNING: fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6409 +    { echo "$as_me:$LINENO: WARNING: fftw3.h: proceeding with the compiler's result" >&5
6410 + echo "$as_me: WARNING: fftw3.h: proceeding with the compiler's result" >&2;}
6411 +    ac_header_preproc=yes
6412 +    ;;
6413 +  no:yes:* )
6414 +    { echo "$as_me:$LINENO: WARNING: fftw3.h: present but cannot be compiled" >&5
6415 + echo "$as_me: WARNING: fftw3.h: present but cannot be compiled" >&2;}
6416 +    { echo "$as_me:$LINENO: WARNING: fftw3.h:     check for missing prerequisite headers?" >&5
6417 + echo "$as_me: WARNING: fftw3.h:     check for missing prerequisite headers?" >&2;}
6418 +    { echo "$as_me:$LINENO: WARNING: fftw3.h: see the Autoconf documentation" >&5
6419 + echo "$as_me: WARNING: fftw3.h: see the Autoconf documentation" >&2;}
6420 +    { echo "$as_me:$LINENO: WARNING: fftw3.h:     section \"Present But Cannot Be Compiled\"" >&5
6421 + echo "$as_me: WARNING: fftw3.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6422 +    { echo "$as_me:$LINENO: WARNING: fftw3.h: proceeding with the preprocessor's result" >&5
6423 + echo "$as_me: WARNING: fftw3.h: proceeding with the preprocessor's result" >&2;}
6424 +    { echo "$as_me:$LINENO: WARNING: fftw3.h: in the future, the compiler will take precedence" >&5
6425 + echo "$as_me: WARNING: fftw3.h: in the future, the compiler will take precedence" >&2;}
6426 +    (
6427 +      cat <<\_ASBOX
6428 + ## ------------------------------ ##
6429 + ## Report this to gezelter@nd.edu ##
6430 + ## ------------------------------ ##
6431 + _ASBOX
6432 +    ) |
6433 +      sed "s/^/$as_me: WARNING:     /" >&2
6434 +    ;;
6435 + esac
6436 + echo "$as_me:$LINENO: checking for fftw3.h" >&5
6437 + echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6
6438 + if test "${ac_cv_header_fftw3_h+set}" = set; then
6439 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6440 + else
6441 +  ac_cv_header_fftw3_h=$ac_header_preproc
6442 + fi
6443 + echo "$as_me:$LINENO: result: $ac_cv_header_fftw3_h" >&5
6444 + echo "${ECHO_T}$ac_cv_header_fftw3_h" >&6
6445 +
6446 + fi
6447 + if test $ac_cv_header_fftw3_h = yes; then
6448 +  fftw_cv_fftw3_h=yes
6449 + else
6450 +  fftw_cv_fftw3_h=no
6451 + fi
6452 +
6453 +
6454 +        if test "$fftw_cv_libfftw3" = "no" -o "$fftw_cv_fftw3_h" = "no"
6455 +        then
6456 +                echo "$as_me:$LINENO: checking for fftwnd_one in -lfftw" >&5
6457 + echo $ECHO_N "checking for fftwnd_one in -lfftw... $ECHO_C" >&6
6458 + if test "${ac_cv_lib_fftw_fftwnd_one+set}" = set; then
6459 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6460 + else
6461 +  ac_check_lib_save_LIBS=$LIBS
6462 + LIBS="-lfftw  $LIBS"
6463 + cat >conftest.$ac_ext <<_ACEOF
6464 + /* confdefs.h.  */
6465 + _ACEOF
6466 + cat confdefs.h >>conftest.$ac_ext
6467 + cat >>conftest.$ac_ext <<_ACEOF
6468 + /* end confdefs.h.  */
6469 +
6470 + /* Override any gcc2 internal prototype to avoid an error.  */
6471 + #ifdef __cplusplus
6472 + extern "C"
6473 + #endif
6474 + /* We use char because int might match the return type of a gcc2
6475 +   builtin and then its argument prototype would still apply.  */
6476 + char fftwnd_one ();
6477 + #ifdef FC_DUMMY_MAIN
6478 + #ifndef FC_DUMMY_MAIN_EQ_F77
6479 + #  ifdef __cplusplus
6480 +     extern "C"
6481 + #  endif
6482 +   int FC_DUMMY_MAIN() { return 1; }
6483 + #endif
6484 + #endif
6485 + int
6486 + main ()
6487 + {
6488 + fftwnd_one ();
6489 +  ;
6490 +  return 0;
6491 + }
6492 + _ACEOF
6493 + rm -f conftest.$ac_objext conftest$ac_exeext
6494 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6495 +  (eval $ac_link) 2>conftest.er1
6496 +  ac_status=$?
6497 +  grep -v '^ *+' conftest.er1 >conftest.err
6498 +  rm -f conftest.er1
6499 +  cat conftest.err >&5
6500 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6501 +  (exit $ac_status); } &&
6502 +         { ac_try='test -z "$ac_c_werror_flag"
6503 +                         || test ! -s conftest.err'
6504 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6505 +  (eval $ac_try) 2>&5
6506 +  ac_status=$?
6507 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6508 +  (exit $ac_status); }; } &&
6509 +         { ac_try='test -s conftest$ac_exeext'
6510 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6511 +  (eval $ac_try) 2>&5
6512 +  ac_status=$?
6513 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6514 +  (exit $ac_status); }; }; then
6515 +  ac_cv_lib_fftw_fftwnd_one=yes
6516 + else
6517 +  echo "$as_me: failed program was:" >&5
6518 + sed 's/^/| /' conftest.$ac_ext >&5
6519 +
6520 + ac_cv_lib_fftw_fftwnd_one=no
6521 + fi
6522 + rm -f conftest.err conftest.$ac_objext \
6523 +      conftest$ac_exeext conftest.$ac_ext
6524 + LIBS=$ac_check_lib_save_LIBS
6525 + fi
6526 + echo "$as_me:$LINENO: result: $ac_cv_lib_fftw_fftwnd_one" >&5
6527 + echo "${ECHO_T}$ac_cv_lib_fftw_fftwnd_one" >&6
6528 + if test $ac_cv_lib_fftw_fftwnd_one = yes; then
6529 +  fftw_cv_libfftw=yes
6530 + else
6531 +  fftw_cv_libfftw=no
6532 + fi
6533 +
6534 +                if test "${ac_cv_header_fftw_h+set}" = set; then
6535 +  echo "$as_me:$LINENO: checking for fftw.h" >&5
6536 + echo $ECHO_N "checking for fftw.h... $ECHO_C" >&6
6537 + if test "${ac_cv_header_fftw_h+set}" = set; then
6538 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6539 + fi
6540 + echo "$as_me:$LINENO: result: $ac_cv_header_fftw_h" >&5
6541 + echo "${ECHO_T}$ac_cv_header_fftw_h" >&6
6542 + else
6543 +  # Is the header compilable?
6544 + echo "$as_me:$LINENO: checking fftw.h usability" >&5
6545 + echo $ECHO_N "checking fftw.h usability... $ECHO_C" >&6
6546 + cat >conftest.$ac_ext <<_ACEOF
6547 + /* confdefs.h.  */
6548 + _ACEOF
6549 + cat confdefs.h >>conftest.$ac_ext
6550 + cat >>conftest.$ac_ext <<_ACEOF
6551 + /* end confdefs.h.  */
6552 + $ac_includes_default
6553 + #include <fftw.h>
6554 + _ACEOF
6555 + rm -f conftest.$ac_objext
6556 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6557 +  (eval $ac_compile) 2>conftest.er1
6558 +  ac_status=$?
6559 +  grep -v '^ *+' conftest.er1 >conftest.err
6560 +  rm -f conftest.er1
6561 +  cat conftest.err >&5
6562 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6563 +  (exit $ac_status); } &&
6564 +         { ac_try='test -z "$ac_c_werror_flag"
6565 +                         || test ! -s conftest.err'
6566 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6567 +  (eval $ac_try) 2>&5
6568 +  ac_status=$?
6569 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6570 +  (exit $ac_status); }; } &&
6571 +         { ac_try='test -s conftest.$ac_objext'
6572 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6573 +  (eval $ac_try) 2>&5
6574 +  ac_status=$?
6575 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6576 +  (exit $ac_status); }; }; then
6577 +  ac_header_compiler=yes
6578 + else
6579 +  echo "$as_me: failed program was:" >&5
6580 + sed 's/^/| /' conftest.$ac_ext >&5
6581 +
6582 + ac_header_compiler=no
6583 + fi
6584 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6585 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6586 + echo "${ECHO_T}$ac_header_compiler" >&6
6587 +
6588 + # Is the header present?
6589 + echo "$as_me:$LINENO: checking fftw.h presence" >&5
6590 + echo $ECHO_N "checking fftw.h presence... $ECHO_C" >&6
6591 + cat >conftest.$ac_ext <<_ACEOF
6592 + /* confdefs.h.  */
6593 + _ACEOF
6594 + cat confdefs.h >>conftest.$ac_ext
6595 + cat >>conftest.$ac_ext <<_ACEOF
6596 + /* end confdefs.h.  */
6597 + #include <fftw.h>
6598 + _ACEOF
6599 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6600 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6601 +  ac_status=$?
6602 +  grep -v '^ *+' conftest.er1 >conftest.err
6603 +  rm -f conftest.er1
6604 +  cat conftest.err >&5
6605 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6606 +  (exit $ac_status); } >/dev/null; then
6607 +  if test -s conftest.err; then
6608 +    ac_cpp_err=$ac_c_preproc_warn_flag
6609 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6610 +  else
6611 +    ac_cpp_err=
6612 +  fi
6613 + else
6614 +  ac_cpp_err=yes
6615 + fi
6616 + if test -z "$ac_cpp_err"; then
6617 +  ac_header_preproc=yes
6618 + else
6619 +  echo "$as_me: failed program was:" >&5
6620 + sed 's/^/| /' conftest.$ac_ext >&5
6621 +
6622 +  ac_header_preproc=no
6623 + fi
6624 + rm -f conftest.err conftest.$ac_ext
6625 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6626 + echo "${ECHO_T}$ac_header_preproc" >&6
6627 +
6628 + # So?  What about this header?
6629 + case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6630 +  yes:no: )
6631 +    { echo "$as_me:$LINENO: WARNING: fftw.h: accepted by the compiler, rejected by the preprocessor!" >&5
6632 + echo "$as_me: WARNING: fftw.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6633 +    { echo "$as_me:$LINENO: WARNING: fftw.h: proceeding with the compiler's result" >&5
6634 + echo "$as_me: WARNING: fftw.h: proceeding with the compiler's result" >&2;}
6635 +    ac_header_preproc=yes
6636 +    ;;
6637 +  no:yes:* )
6638 +    { echo "$as_me:$LINENO: WARNING: fftw.h: present but cannot be compiled" >&5
6639 + echo "$as_me: WARNING: fftw.h: present but cannot be compiled" >&2;}
6640 +    { echo "$as_me:$LINENO: WARNING: fftw.h:     check for missing prerequisite headers?" >&5
6641 + echo "$as_me: WARNING: fftw.h:     check for missing prerequisite headers?" >&2;}
6642 +    { echo "$as_me:$LINENO: WARNING: fftw.h: see the Autoconf documentation" >&5
6643 + echo "$as_me: WARNING: fftw.h: see the Autoconf documentation" >&2;}
6644 +    { echo "$as_me:$LINENO: WARNING: fftw.h:     section \"Present But Cannot Be Compiled\"" >&5
6645 + echo "$as_me: WARNING: fftw.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6646 +    { echo "$as_me:$LINENO: WARNING: fftw.h: proceeding with the preprocessor's result" >&5
6647 + echo "$as_me: WARNING: fftw.h: proceeding with the preprocessor's result" >&2;}
6648 +    { echo "$as_me:$LINENO: WARNING: fftw.h: in the future, the compiler will take precedence" >&5
6649 + echo "$as_me: WARNING: fftw.h: in the future, the compiler will take precedence" >&2;}
6650 +    (
6651 +      cat <<\_ASBOX
6652 + ## ------------------------------ ##
6653 + ## Report this to gezelter@nd.edu ##
6654 + ## ------------------------------ ##
6655 + _ASBOX
6656 +    ) |
6657 +      sed "s/^/$as_me: WARNING:     /" >&2
6658 +    ;;
6659 + esac
6660 + echo "$as_me:$LINENO: checking for fftw.h" >&5
6661 + echo $ECHO_N "checking for fftw.h... $ECHO_C" >&6
6662 + if test "${ac_cv_header_fftw_h+set}" = set; then
6663 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6664 + else
6665 +  ac_cv_header_fftw_h=$ac_header_preproc
6666 + fi
6667 + echo "$as_me:$LINENO: result: $ac_cv_header_fftw_h" >&5
6668 + echo "${ECHO_T}$ac_cv_header_fftw_h" >&6
6669 +
6670 + fi
6671 + if test $ac_cv_header_fftw_h = yes; then
6672 +  fftw_cv_fftw_h=yes
6673 + else
6674 +  fftw_cv_fftw_h=no
6675 + fi
6676 +
6677 +
6678 +                if test "$fftw_cv_libfftw" = "no" -o "$fftw_cv_fftw_h" = "no"
6679 +                then
6680 +                        echo "$as_me:$LINENO: checking for fftwnd_one in -ldfftw" >&5
6681 + echo $ECHO_N "checking for fftwnd_one in -ldfftw... $ECHO_C" >&6
6682 + if test "${ac_cv_lib_dfftw_fftwnd_one+set}" = set; then
6683 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6684 + else
6685 +  ac_check_lib_save_LIBS=$LIBS
6686 + LIBS="-ldfftw  $LIBS"
6687 + cat >conftest.$ac_ext <<_ACEOF
6688 + /* confdefs.h.  */
6689 + _ACEOF
6690 + cat confdefs.h >>conftest.$ac_ext
6691 + cat >>conftest.$ac_ext <<_ACEOF
6692 + /* end confdefs.h.  */
6693 +
6694 + /* Override any gcc2 internal prototype to avoid an error.  */
6695 + #ifdef __cplusplus
6696 + extern "C"
6697 + #endif
6698 + /* We use char because int might match the return type of a gcc2
6699 +   builtin and then its argument prototype would still apply.  */
6700 + char fftwnd_one ();
6701 + #ifdef FC_DUMMY_MAIN
6702 + #ifndef FC_DUMMY_MAIN_EQ_F77
6703 + #  ifdef __cplusplus
6704 +     extern "C"
6705 + #  endif
6706 +   int FC_DUMMY_MAIN() { return 1; }
6707 + #endif
6708 + #endif
6709 + int
6710 + main ()
6711 + {
6712 + fftwnd_one ();
6713 +  ;
6714 +  return 0;
6715 + }
6716 + _ACEOF
6717 + rm -f conftest.$ac_objext conftest$ac_exeext
6718 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6719 +  (eval $ac_link) 2>conftest.er1
6720 +  ac_status=$?
6721 +  grep -v '^ *+' conftest.er1 >conftest.err
6722 +  rm -f conftest.er1
6723 +  cat conftest.err >&5
6724 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6725 +  (exit $ac_status); } &&
6726 +         { ac_try='test -z "$ac_c_werror_flag"
6727 +                         || test ! -s conftest.err'
6728 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6729 +  (eval $ac_try) 2>&5
6730 +  ac_status=$?
6731 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6732 +  (exit $ac_status); }; } &&
6733 +         { ac_try='test -s conftest$ac_exeext'
6734 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6735 +  (eval $ac_try) 2>&5
6736 +  ac_status=$?
6737 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6738 +  (exit $ac_status); }; }; then
6739 +  ac_cv_lib_dfftw_fftwnd_one=yes
6740 + else
6741 +  echo "$as_me: failed program was:" >&5
6742 + sed 's/^/| /' conftest.$ac_ext >&5
6743 +
6744 + ac_cv_lib_dfftw_fftwnd_one=no
6745 + fi
6746 + rm -f conftest.err conftest.$ac_objext \
6747 +      conftest$ac_exeext conftest.$ac_ext
6748 + LIBS=$ac_check_lib_save_LIBS
6749 + fi
6750 + echo "$as_me:$LINENO: result: $ac_cv_lib_dfftw_fftwnd_one" >&5
6751 + echo "${ECHO_T}$ac_cv_lib_dfftw_fftwnd_one" >&6
6752 + if test $ac_cv_lib_dfftw_fftwnd_one = yes; then
6753 +  fftw_cv_libdfftw=yes
6754 + else
6755 +  fftw_cv_libdfftw=no
6756 + fi
6757 +
6758 +                        if test "${ac_cv_header_dfftw_h+set}" = set; then
6759 +  echo "$as_me:$LINENO: checking for dfftw.h" >&5
6760 + echo $ECHO_N "checking for dfftw.h... $ECHO_C" >&6
6761 + if test "${ac_cv_header_dfftw_h+set}" = set; then
6762 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6763 + fi
6764 + echo "$as_me:$LINENO: result: $ac_cv_header_dfftw_h" >&5
6765 + echo "${ECHO_T}$ac_cv_header_dfftw_h" >&6
6766 + else
6767 +  # Is the header compilable?
6768 + echo "$as_me:$LINENO: checking dfftw.h usability" >&5
6769 + echo $ECHO_N "checking dfftw.h usability... $ECHO_C" >&6
6770 + cat >conftest.$ac_ext <<_ACEOF
6771 + /* confdefs.h.  */
6772 + _ACEOF
6773 + cat confdefs.h >>conftest.$ac_ext
6774 + cat >>conftest.$ac_ext <<_ACEOF
6775 + /* end confdefs.h.  */
6776 + $ac_includes_default
6777 + #include <dfftw.h>
6778 + _ACEOF
6779 + rm -f conftest.$ac_objext
6780 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6781 +  (eval $ac_compile) 2>conftest.er1
6782 +  ac_status=$?
6783 +  grep -v '^ *+' conftest.er1 >conftest.err
6784 +  rm -f conftest.er1
6785 +  cat conftest.err >&5
6786 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6787 +  (exit $ac_status); } &&
6788 +         { ac_try='test -z "$ac_c_werror_flag"
6789 +                         || test ! -s conftest.err'
6790 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6791 +  (eval $ac_try) 2>&5
6792 +  ac_status=$?
6793 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6794 +  (exit $ac_status); }; } &&
6795 +         { ac_try='test -s conftest.$ac_objext'
6796 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6797 +  (eval $ac_try) 2>&5
6798 +  ac_status=$?
6799 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6800 +  (exit $ac_status); }; }; then
6801 +  ac_header_compiler=yes
6802 + else
6803 +  echo "$as_me: failed program was:" >&5
6804 + sed 's/^/| /' conftest.$ac_ext >&5
6805 +
6806 + ac_header_compiler=no
6807 + fi
6808 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6809 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6810 + echo "${ECHO_T}$ac_header_compiler" >&6
6811 +
6812 + # Is the header present?
6813 + echo "$as_me:$LINENO: checking dfftw.h presence" >&5
6814 + echo $ECHO_N "checking dfftw.h presence... $ECHO_C" >&6
6815 + cat >conftest.$ac_ext <<_ACEOF
6816 + /* confdefs.h.  */
6817 + _ACEOF
6818 + cat confdefs.h >>conftest.$ac_ext
6819 + cat >>conftest.$ac_ext <<_ACEOF
6820 + /* end confdefs.h.  */
6821 + #include <dfftw.h>
6822 + _ACEOF
6823 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6824 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6825 +  ac_status=$?
6826 +  grep -v '^ *+' conftest.er1 >conftest.err
6827 +  rm -f conftest.er1
6828 +  cat conftest.err >&5
6829 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6830 +  (exit $ac_status); } >/dev/null; then
6831 +  if test -s conftest.err; then
6832 +    ac_cpp_err=$ac_c_preproc_warn_flag
6833 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6834 +  else
6835 +    ac_cpp_err=
6836 +  fi
6837 + else
6838 +  ac_cpp_err=yes
6839 + fi
6840 + if test -z "$ac_cpp_err"; then
6841 +  ac_header_preproc=yes
6842 + else
6843 +  echo "$as_me: failed program was:" >&5
6844 + sed 's/^/| /' conftest.$ac_ext >&5
6845 +
6846 +  ac_header_preproc=no
6847 + fi
6848 + rm -f conftest.err conftest.$ac_ext
6849 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6850 + echo "${ECHO_T}$ac_header_preproc" >&6
6851 +
6852 + # So?  What about this header?
6853 + case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6854 +  yes:no: )
6855 +    { echo "$as_me:$LINENO: WARNING: dfftw.h: accepted by the compiler, rejected by the preprocessor!" >&5
6856 + echo "$as_me: WARNING: dfftw.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6857 +    { echo "$as_me:$LINENO: WARNING: dfftw.h: proceeding with the compiler's result" >&5
6858 + echo "$as_me: WARNING: dfftw.h: proceeding with the compiler's result" >&2;}
6859 +    ac_header_preproc=yes
6860 +    ;;
6861 +  no:yes:* )
6862 +    { echo "$as_me:$LINENO: WARNING: dfftw.h: present but cannot be compiled" >&5
6863 + echo "$as_me: WARNING: dfftw.h: present but cannot be compiled" >&2;}
6864 +    { echo "$as_me:$LINENO: WARNING: dfftw.h:     check for missing prerequisite headers?" >&5
6865 + echo "$as_me: WARNING: dfftw.h:     check for missing prerequisite headers?" >&2;}
6866 +    { echo "$as_me:$LINENO: WARNING: dfftw.h: see the Autoconf documentation" >&5
6867 + echo "$as_me: WARNING: dfftw.h: see the Autoconf documentation" >&2;}
6868 +    { echo "$as_me:$LINENO: WARNING: dfftw.h:     section \"Present But Cannot Be Compiled\"" >&5
6869 + echo "$as_me: WARNING: dfftw.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6870 +    { echo "$as_me:$LINENO: WARNING: dfftw.h: proceeding with the preprocessor's result" >&5
6871 + echo "$as_me: WARNING: dfftw.h: proceeding with the preprocessor's result" >&2;}
6872 +    { echo "$as_me:$LINENO: WARNING: dfftw.h: in the future, the compiler will take precedence" >&5
6873 + echo "$as_me: WARNING: dfftw.h: in the future, the compiler will take precedence" >&2;}
6874 +    (
6875 +      cat <<\_ASBOX
6876 + ## ------------------------------ ##
6877 + ## Report this to gezelter@nd.edu ##
6878 + ## ------------------------------ ##
6879 + _ASBOX
6880 +    ) |
6881 +      sed "s/^/$as_me: WARNING:     /" >&2
6882 +    ;;
6883 + esac
6884 + echo "$as_me:$LINENO: checking for dfftw.h" >&5
6885 + echo $ECHO_N "checking for dfftw.h... $ECHO_C" >&6
6886 + if test "${ac_cv_header_dfftw_h+set}" = set; then
6887 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6888 + else
6889 +  ac_cv_header_dfftw_h=$ac_header_preproc
6890 + fi
6891 + echo "$as_me:$LINENO: result: $ac_cv_header_dfftw_h" >&5
6892 + echo "${ECHO_T}$ac_cv_header_dfftw_h" >&6
6893 +
6894 + fi
6895 + if test $ac_cv_header_dfftw_h = yes; then
6896 +  fftw_cv_dfftw_h=yes
6897 + else
6898 +  fftw_cv_dfftw_h=no
6899 + fi
6900 +
6901 +
6902 +                fi
6903          fi
6904 +        ac_ext=c
6905 + ac_cpp='$CPP $CPPFLAGS'
6906 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6907 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6908 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
6909 +
6910 +
6911 +        if test "$fftw_cv_libfftw3" = "yes" -a "$fftw_cv_fftw3_h" = "yes"
6912 +        then
6913 +
6914 + cat >>confdefs.h <<\_ACEOF
6915 + #define HAVE_FFTW3_H 1
6916 + _ACEOF
6917 +
6918 +                FFTW_INC_DIR="${FFTW_HOME}/include"
6919 +                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6920 +                FFTW_LIBS="-lfftw3"
6921 +        else
6922 +        if test "$fftw_cv_libfftw" = "yes" -a "$fftw_cv_fftw_h" = "yes"
6923 +        then
6924 +
6925 + cat >>confdefs.h <<\_ACEOF
6926 + #define HAVE_FFTW_H 1
6927 + _ACEOF
6928 +
6929 +                FFTW_INC_DIR="${FFTW_HOME}/include"
6930 +                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6931 +                FFTW_LIBS="-lfftw"
6932 +        else
6933 +        if test "$fftw_cv_libdfftw" = "yes" -a "$fftw_cv_dfftw_h" = "yes"
6934 +        then
6935 +
6936 + cat >>confdefs.h <<\_ACEOF
6937 + #define HAVE_DFFTW_H 1
6938 + _ACEOF
6939 +
6940 +                FFTW_INC_DIR="${FFTW_HOME}/include"
6941 +                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6942 +                FFTW_LIBS="-ldfftw"
6943 +        else
6944 +                echo "$as_me:$LINENO: checking fftw in ${FFTW_HOME}" >&5
6945 + echo $ECHO_N "checking fftw in ${FFTW_HOME}... $ECHO_C" >&6
6946 +                FFTW_INC_DIR=
6947 +                FFTW_LIB_DIR=
6948 +                FFTW_LIBS=
6949 +                LDFLAGS="$FFTW_OLD_LDFLAGS"
6950 +                CPPFLAGS="$FFTW_OLD_CPPFLAGS"
6951 +                echo "$as_me:$LINENO: result: failed" >&5
6952 + echo "${ECHO_T}failed" >&6
6953 +        echo ""
6954 +        echo "*********************************************************"
6955 +        echo "* WARNING: Could not find a working FFTW installation   *"
6956 +        echo "* If you need the staticProps program to be able to     *"
6957 +        echo "* compute undulation spectra, be sure to specify a      *"
6958 +        echo "* valid fftw installation with --with-fftw=DIR          *"
6959 +        echo "*                                                       *"
6960 +        echo "* OOPSE will still work without fftw installed.         *"
6961 +        echo "*********************************************************"
6962 +        echo ""
6963 +        fi
6964 +        fi
6965 +        fi
6966 +
6967 +
6968 +
6969   fi
6970 + fi
6971  
6972  
6973  
# Line 11137 | Line 11980 | case $debug in
11980   # Try to determine "good" native compiler flags if none specified on command
11981   # line
11982  
11983 < if test "$ac_test_FCFLAGS" != "set"; then
11983 > if test "$ac_test_FFLAGS" != "set"; then
11984    FCFLAGS=""
11985    case "${host_cpu}-${host_os}" in
11986  
11987    *linux*) if test "$FC" = ifc -o "$FC" = ifort; then
11988 <                    FCFLAGS="-O"
11988 >                    FCFLAGS="-O3 -ip -no-prec-div -cxxlib-icc"
11989                  fi;;
11990     rs6000*-aix*)  if test "$FC" = xlf90 -o "$FC" = f90 -o "$FC" = xlf95; then
11991                      FCFLAGS="-O3 -qarch=pwrx -qtune=pwrx -qansialias -w"
# Line 11163 | Line 12006 | if test "$ac_test_FCFLAGS" != "set"; then
12006     *darwin*)
12007          if test "$FC" = f90 -o "$FC" = xlf90 -o "$FC" = xlf95; then
12008                  FCFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto"
12009 +        fi
12010 +        if test "$FC" = ifort; then
12011 +                FCFLAGS="-O3 -ip -no-prec-dev -mdynamic-no-pic"
12012          fi;;
12013    esac
12014  
# Line 11322 | Line 12168 | if test "$ac_test_CFLAGS" != "set"; then
12168     *darwin*)
12169          if test "$CC" = xlc -o "$CC" = cc; then
12170                  CFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
12171 +        fi
12172 +        if test "$CC" = icc; then
12173 +                CFLAGS="-O3 -ip -no-prec-div -mdynamic-no-pic"
12174          fi;;
12175    esac
12176  
# Line 11776 | Line 12625 | if test "$ac_test_CXXFLAGS" != "set"; then
12625     *darwin*)
12626          if test "$CXX" = xlc++ -o "$CXX" = xlC ; then
12627                  CXXFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
12628 +        fi
12629 +        if test "$CXX" = icpc; then
12630 +                CXXFLAGS="-O3 -ip -no-prec-div -mdynamic-no-pic"
12631          fi;;
12632    esac
12633  
# Line 12568 | Line 13420 | if test $ac_cv_lib_mpich_MPI_Init = yes; then
13420   echo "$as_me:$LINENO: result: $ac_cv_lib_mpich_MPI_Init" >&5
13421   echo "${ECHO_T}$ac_cv_lib_mpich_MPI_Init" >&6
13422   if test $ac_cv_lib_mpich_MPI_Init = yes; then
13423 <  MPI_LIB="-lmpich -lpmpich"
13423 >  MPI_LIB="-lpmpich -lmpich"
13424   fi
13425  
13426   fi
# Line 13134 | Line 13986 | CGAL_RLIB_DIR=${CGAL_RLIBDIR}
13986  
13987  
13988  
13137
13989   # Check whether --enable-doxygen or --disable-doxygen was given.
13990   if test "${enable_doxygen+set}" = set; then
13991    enableval="$enable_doxygen"
# Line 13957 | Line 14808 | s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
14808   s,@MODDIRFLAG@,$MODDIRFLAG,;t t
14809   s,@F90MODINCSPEC@,$F90MODINCSPEC,;t t
14810   s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
14811 + s,@FFTW_INC_DIR@,$FFTW_INC_DIR,;t t
14812 + s,@FFTW_LIB_DIR@,$FFTW_LIB_DIR,;t t
14813 + s,@FFTW_LIBS@,$FFTW_LIBS,;t t
14814   s,@LIBOBJS@,$LIBOBJS,;t t
14815   s,@POW_LIB@,$POW_LIB,;t t
14816   s,@CXXCPP@,$CXXCPP,;t t
# Line 14621 | Line 15475 | fi
15475    # would make configure fail if this is the last instruction.
15476    $ac_cs_success || { (exit 1); exit 1; }
15477   fi
14624
14625
15478  

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines